<?php

include('../includes/hlava.php');
title('Klub priateľov fotografie', '../');

if ($link) {
  if ($db_selected) {
  
$kolko = '20';
        	
include('../includes/vedla.php');
odkaz('../');
include('../includes/menu.php');
menu('tema', '../');
?>
            <ul class="menu pmenu">
              <li><a href="index.php" title="zadanie fototémy">Úvod</a></li>
              <li><a href="galeria.php" class="aktual" title="galeria fototémy">Galéria</a></li>
              <li><a href="archiv.php" title="staré fototémy">Archív</a></li>
          
<?php
if (!(isset($_SESSION['login']) && ($_SESSION['login'] != ""))) :
// pouzivatel sa musi prihlasit, treba zobrazit prihlasovaci formular
?>
<?
else :
// pouzivatel je prihlaseny
    ?>
              <li class="medzera">&nbsp;</li>
              <li><a href="vloz.php" title="vloženie fotky do fototémy">Vložiť fotografiu</a></li>
    
<?php
endif; // kontrola SESSION

 
		if (($_GET['tem'] == '')){
		  $_GET['tem'] = '0';
      $sql = "SELECT C.nadpis AS kategoria
              FROM kpf_clanky C
              WHERE C.kategoria = 'Fototéma'
              ORDER BY cas DESC
              LIMIT 1;";
    }
    else
		$sql = "SELECT P.kategoria, P.tema
            FROM kpf_tema_photos P
            WHERE P.tema=".$_GET['tem'].";";
        		$result = mysql_query($sql, $link);
        		if ($result) {
				      $row = mysql_fetch_assoc($result);
              $tema = $row['kategoria'];
				      if ($row['tema'] < '3'){
                if ($row['tema'] == '2')
                  $tema = 'Detail...';
                if ($row['tema'] == '1')
                  $tema = 'Krajina';                
              }
            }
        	
?>                    
          
            </ul>        



        <div class="obsah"> 
          <?php if ($tema != 'Detail...'){?>
          <h2><?php echo $tema?></h2>
<?php
          }else echo '<h2>Detail <em>dovolenka</em> obloha <em>paparazzi</em></h2>';

		if (!isset($_GET['str']) || (int) $_GET['str'] == 0) $od = 1;
		else $od = $_GET['str'];

		$sql = "(SELECT P.*, A.*, sum(H.body) AS body
            FROM kpf_tema_photos P, kpf_author A, kpf_tema_hodnot H
            WHERE H.id=P.id AND P.aid=A.aid AND P.tema=".$_GET['tem']."
            GROUP BY P.id)
            UNION
            (SELECT P.*, A.*, 0 AS body
            FROM kpf_tema_photos P, kpf_author A, kpf_tema_hodnot H
            WHERE P.aid=A.aid AND P.tema=".$_GET['tem']." AND P.id NOT IN (SELECT HH.id FROM kpf_tema_hodnot HH))
            ORDER BY pridane DESC
            LIMIT " . ($od - 1) * $kolko . ", $kolko;";
        		$result = mysql_query($sql, $link);
        		if ($result) {
        		  $pocet = mysql_num_rows($result);
        		  if ($pocet > 0) {  
        		  $sql2 = "SELECT count(id) as zopar FROM kpf_tema_photos P WHERE P.tema=".$_GET['tem'].";";
        		  $result2 = mysql_query($sql2, $link);
        		  if ($result2) {
				        $row = mysql_fetch_assoc($result2);
                $stranok = ceil($row['zopar'] / $kolko);
                if ($stranok > 1) {
                echo '<p class="str">';
                //echo '<a href="?str=1">prva</a> | ';
                for ($i = 1; $i<=$stranok; $i++) {
                if ($od == $i) {
                if ($i == $stranok) echo $i;
                else echo $i. ' | ';
                }
                else {
                if ($i == $stranok) {
                echo '<a href="?'.(($_GET['tem']) ? 'tem='.$_GET['tem'].'&' : '').'str='.$i.'">'.$i.'</a>';
                }
                else {
                echo '<a href="?'.(($_GET['tem']) ? 'tem='.$_GET['tem'].'&' : '').'str='.$i.'">'.$i.'</a> | ';}}
                }
                //echo '<a href="?str='.$stranok.'">posledna</a>';
                echo '</p>';
                }                     	
              }                         		  
          		  while ($row = mysql_fetch_assoc($result)) {
          		    $abc ++; 
          		    $subor = 'photos/small/'.$row['foto'];
                  list($sirka, $vyska) = getimagesize($subor);
                  if ($sirka == '130') $c = 's';
                  else $c = 'v';
                  echo '<p class="foto">';
                  echo '<span class="photos">';                  
                  echo "<a href='photo.php?id=".$row['id']."&tem=".$_GET['tem']."'>";    		    
                  echo "<img src='photos/small/".$row['foto']."' class='".$c."' alt='".$row['nazov']."' title='".$row['nazov']."' /></a></span>
                    ";
                  echo '<a href="photo.php?id='.$row['id'].'&tem='.$_GET['tem'].'">'.$row['nazov'].'</a> <em>('.$row['body'].')</em><br/>';
                  echo '<a href="../author.php?id='.$row['aid'].'" class="fmeno">'.$row['meno'].' '.$row['priezvisko'].'</a></p>';
                  $zvysok = $abc%5;
                  if (($zvysok == 0)) echo '<div class="clear"></div>'; 
                  echo '
                  ';                 
                 }
                if ($stranok > 1) {
                echo '<p class="str">';
                //echo '<a href="?str=1">prva</a> | ';
                for ($i = 1; $i<=$stranok; $i++) {
                if ($od == $i) {
                if ($i == $stranok) echo $i;
                else echo $i. ' | ';
                }
                else {
                if ($i == $stranok) {
                echo '<a href="?'.(($_GET['tem']) ? 'tem='.$_GET['tem'].'&' : '').'str='.$i.'">'.$i.'</a>';
                }
                else {
                echo '<a href="?'.(($_GET['tem']) ? 'tem='.$_GET['tem'].'&' : '').'str='.$i.'">'.$i.'</a> | ';}}
                }
                //echo '<a href="?str='.$stranok.'">posledna</a>';
                echo '</p>';
                }
               } else {
                echo '<p><strong>Fotogaléria je prázdna.</strong></p>';
              }
        			mysql_free_result($result);
        		} else {
        			echo '<p style="color: #FF0000;">Chyba pri získavaní údajov z databázy - ' . mysql_errno($link) . ': ' . mysql_error($link) . '</p>';
        		}
        	} else { 
        		echo '<p style="color: #FF0000;">Nepodarilo sa vybrať databázu</p>';
        	} // end vyber db
        	mysql_close($link);
        } else { 
        	echo '<p style="color: #FF0000;">Nepodarilo sa spojiť s databázou</p>';
        } // end spojenie s db 
        include('../includes/pata.php')
			  ?>
